#ifndef _SYSCALLS_H_
#define _SYSCALLS_H_

#define I2C_WRITE 0
#define I2C_READ 1

typedef struct iic_transfer {
	unsigned addr:8;
	unsigned :21;
	unsigned riscos_retry:1;
	unsigned checksumonly:1;
	unsigned nostart:1;
	union {
		unsigned checksum;
		void *data;
	} d;
	unsigned len;
} iic_transfer_t;

/** @returns 0 on success. */
int OS_Write0(const char *text);
/** @returns address or 0 on error. */
void *OS_ModuleClaim(unsigned int size);
/** @returns 0 on success. */
int OS_ModuleFree(void *addr);
/** Convert value to hex string. */
int OS_ConvertHex8(unsigned int value, char *buffer, unsigned int size);
/** Convert value to decimal string. */
int OS_ConvertInteger3(unsigned int value, char *buffer, unsigned int size);
/** Print new line. */
int OS_NewLine(void);
/** Execute I2C transfer. */
int OS_IICOp(iic_transfer_t *t, unsigned int n);
int OS_KeyV(int state, int key);
/** Add callback which will be called if there is more time. */
int OS_AddCallBack(void *callback, void *env);
unsigned int OS_ReadSysInfo(int reason);
unsigned int OS_ReadUnsigned(unsigned int base, const char *text, unsigned int max);

#endif
