/* OUTPUT_FORMAT("binary") */
OUTPUT_FORMAT("elf32-littlearm", "elf32-littlearm", "elf32-littlearm")
OUTPUT_ARCH(arm)
ENTRY(init)

virt = 0x00000000;

PHDRS
{
	moduleheader PT_LOAD FLAGS(4);
	text PT_LOAD FLAGS(5);
	rodata PT_LOAD FLAGS(4);
	data PT_LOAD FLAGS(6);
}

SECTIONS
{
	. = virt;
	.moduleheader : {
		*(.moduleheader)
		. = ALIGN(0x10);
	} : moduleheader

	.text : {
		*(.text)
		. = ALIGN(0x10);
	} : text

	.rodata : {
		*(.rodata*)
		. = ALIGN(0x10);
	} : rodata

	.data : {
		*(.data)
	} : data

	.bss : {
		*(.bss)
		. = ALIGN(0x10);
	} : data

	/* Only listed to get it not interfere with above sections: */
	/DISCARD/ : {
		*(.note)
		*(.stab)
		*(.stabststr)
		*(.comment)
		*(.ARM.attributes)
	}
}
